Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels
Class CSelectSystemProfile

    java.lang.Object
      org.jasig.portal.channels.BaseChannel
          org.jasig.portal.StandaloneChannelRenderer
              org.jasig.portal.channels.CSelectSystemProfile

All Implemented Interfaces:
  IChannel

    public class CSelectSystemProfile

extends StandaloneChannelRenderer

CSelectSystemProfile channel allows to establish mapping from user-Agent to a system profile. This channel is meant to be used by a guest user only. Logged in users are expected to use CUserPreferences profile management screens to achieve the establish user-Agent mappings.

Version:
  $Revision: 1.24 $
Author:
  Peter Kharchenko, peterk@interactivebusiness.com

Field Summary
`private static java.lang.String` | `sslLocation`
`private java.util.Hashtable` | `systemProfileList`
`(package private) IUserLayoutStore` | `ulsdb`

Fields inherited from class org.jasig.portal.channels.BaseChannel
`runtimeData, staticData`

Constructor Summary
`CSelectSystemProfile()`

Method Summary
`protected java.util.Hashtable` | `getSystemProfileList()`
`void` | `renderXML(org.xml.sax.ContentHandler out)` Ask channel to render its content.
`void` | `setRuntimeData(ChannelRuntimeData rd)` Passes ChannelRuntimeData to the channel.

Methods inherited from class org.jasig.portal.StandaloneChannelRenderer
`initialize, prepare, render`

Methods inherited from class org.jasig.portal.channels.BaseChannel
`getRuntimeProperties, receiveEvent, setStaticData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sslLocation

    private static final java.lang.String sslLocation

See Also:
  Constant Field Values

### ulsdb

    IUserLayoutStore ulsdb

### systemProfileList

    private java.util.Hashtable systemProfileList

Constructor Detail

### CSelectSystemProfile

    public CSelectSystemProfile()

Method Detail

### setRuntimeData

    public void setRuntimeData(ChannelRuntimeData rd)
                        throws PortalException

  Description copied from interface: `IChannel`
  Passes ChannelRuntimeData to the channel. This function is called prior to the renderXML() call.

  Specified by:
    `setRuntimeData` in interface `IChannel`
  Overrides:
    `setRuntimeData` in class `BaseChannel`
  Parameters:
    `rd` - channel runtime data
  Throws:
    `PortalException`
  See Also:
    `ChannelRuntimeData`

### getSystemProfileList

    protected java.util.Hashtable getSystemProfileList()
                                                throws PortalException

  Throws:
    `PortalException`

### renderXML

    public void renderXML(org.xml.sax.ContentHandler out)
                   throws PortalException

  Description copied from interface: `IChannel`
  Ask channel to render its content.

  Specified by:
    `renderXML` in interface `IChannel`
  Overrides:
    `renderXML` in class `BaseChannel`
  Parameters:
    `out` - the SAX ContentHandler to output content to
  Throws:
    `PortalException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD